﻿<?xml version="1.0" encoding="utf-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:dw="uri:drivewindow-2">
    <xsl:output method="html" doctype-public="-//W3C//DTD HTML 4.01//EN" encoding="ISO-8859-1" indent="yes"/>
    <xsl:variable name="printrange" select="/dw:EventList/itemlist/@printrange" />
    <xsl:template match="dw:EventList">
        <html lang="en" xlmns="http://www.w3.org/TR/html4/strict.dtd">
            <head>
                <title><xsl:value-of select="@name" /></title>
                <style>
                    @media all
                    {   h1  {   font-family: arial, sans-serif, tahoma;
                                font-size: 16pt;
                            }
                        body
                            {   font-family: sans-serif, tahoma, arial;
                                font-size: 9pt;
                            }
                        th  {   text-align: left;
                                background-color: gray;
                                padding-right: 1em;
                                padding-left: 1em;
                            }
                        td  {   vertical-align: top;
                                padding-left: 1em;
                            }
                        th.drive
                            {   padding-right: 0em;
                            }
                    }
                </style>
                <xsl:if test="@css">
                    <link rel="stylesheet" type="text/css" href="{@css}" />
                </xsl:if>
            </head>
            <body>
                <xsl:apply-templates select="name" />
                <xsl:apply-templates select="comment" />
                <xsl:apply-templates select="itemlist" />
            </body>
        </html>
    </xsl:template>
     <xsl:template match="dw:EventList/name">
        <h1><xsl:value-of select="." /></h1>
    </xsl:template>
    <xsl:template match="comment">
        <div>
            <p class="comment"><xsl:value-of select="." /></p>
        </div>
    </xsl:template>
   <xsl:template match="itemlist">
       <xsl:apply-templates select="events" />
    </xsl:template>
   <xsl:template match="events">
       <table>
           <thead>
               <tr>
                   <th class="description">Description</th>
                   <th class="status">Status</th>
                   <th class="type">Type</th>
                   <th class="drivetime">Drive Time</th>
                   <th class="pctime">PC Time</th>
                   <th class="drive">Drive</th>
               </tr>
           </thead>
           <tbody>
               <xsl:apply-templates select="event" />
            </tbody>
       </table>
    </xsl:template>
    <xsl:template match="event">
        <xsl:if test="$printrange='all' or $printrange='selected' and @selected='yes'">
                <tr>
                    <xsl:apply-templates />
                </tr>
        </xsl:if>
    </xsl:template>
    <xsl:template match="event/*">
                    <td><xsl:attribute name="class"><xsl:value-of select="name()" /></xsl:attribute><xsl:value-of select="." /></td>
    </xsl:template>
    <xsl:template match="event/pc-time">
                    <td class="pctime"><xsl:value-of select="." /></td>
    </xsl:template>
</xsl:stylesheet>